Commit 1e84cd33 authored by macmpi's avatar macmpi Committed by Natanael Copa
Browse files

main/linux-rpi: add linux-firmware-cypress dependency

Since linux-firmware 20210315, many legacy linux-firmware-brcm files are simlinked to linux-firmware-cypress files, hence both packages need now to be installed to properly support Pi devices.
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=a28a5905b0fb6d84e02e45ae77cc450dea1494d1
parent 7d5f6574
......@@ -6,7 +6,7 @@ case $pkgver in
*.*.*) _kernver=${pkgver%.*};;
*.*) _kernver=${pkgver};;
esac
pkgrel=0
pkgrel=1
pkgdesc="Linux kernel with Raspberry Pi patches"
url=https://github.com/raspberrypi/linux
depends="mkinitfs"
......@@ -237,18 +237,18 @@ genpatch() {
# main flavor installs in $pkgdir
package() {
depends="$depends linux-firmware-brcm"
depends="$depends linux-firmware-brcm linux-firmware-cypress"
_package rpi "$pkgdir"
}
# subflavors install in $subpkgdir
rpi2() {
depends="$depends linux-firmware-brcm"
depends="$depends linux-firmware-brcm linux-firmware-cypress"
_package rpi2 "$subpkgdir"
}
rpi4() {
depends="$depends linux-firmware-brcm"
depends="$depends linux-firmware-brcm linux-firmware-cypress"
_package rpi4 "$subpkgdir"
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment